[问题]谁有libtorrent 0.12版本,我找不到下载的地方

为当前最终发行版之前的所有版本提供支持
回复
永恒不永恒
帖子: 124
注册时间: 2007-03-17 18:57
来自: 广东广州
送出感谢: 0
接收感谢: 0

[问题]谁有libtorrent 0.12版本,我找不到下载的地方

#1

帖子 永恒不永恒 » 2007-04-28 21:26

我编译并安装了qbittorrent,但是为何还是无法运行qbittorrent?

代码: 全选

xzw@VIA-PC1500:~/BT_Download/qbittorrent-0.9.2$ sudo ./configure 
Configuring qbittorrent ... 
Verifying Qt 4 build environment ... ok 
Checking for Qt >= 4.2 ... yes 
Checking for libtorrent >= 0.11 (>= 0.12 ADVISED) ...Libtorrent >= v0.12 was not detected, PeX will be disabled. 
 yes 
Checking for libboost ... yes 
Checking for libcurl ... yes 
Checking for python >= 2.3 ... yes 
Good, your configure finished.  Now run /usr/bin/make. 
xzw@VIA-PC1500:~/BT_Download/qbittorrent-0.9.2$ 

xzw@VIA-PC1500:~/BT_Download/qbittorrent-0.9.2$ sudo make && sudo make install 
cd src && make -f Makefile 
make[1]: Entering directory `/home/xzw/BT_Download/qbittorrent-0.9.2/src' 
make[1]: Nothing to be done for `first'. 
make[1]: Leaving directory `/home/xzw/BT_Download/qbittorrent-0.9.2/src' 
cd src && make -f Makefile install 
make[1]: Entering directory `/home/xzw/BT_Download/qbittorrent-0.9.2/src' 
install -m 755 -p "qbittorrent" "/usr/local/bin/qbittorrent" 
strip "/usr/local/bin/qbittorrent" 
install -m 644 -p /home/xzw/BT_Download/qbittorrent-0.9.2/doc/qbittorrent.1.gz /usr/local/share/man/man1/ 
install -m 644 -p /home/xzw/BT_Download/qbittorrent-0.9.2/src/Icons/qBittorrent.desktop /usr/local/share/applications/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/128x128 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/16x16 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/192x192 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/22x22 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/24x24 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/32x32 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/36x36 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/48x48 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/64x64 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/72x72 /usr/local/share/icons/hicolor/ 
cp -f -r /home/xzw/BT_Download/qbittorrent-0.9.2/src/menuicons/96x96 /usr/local/share/icons/hicolor/ 
make[1]: Leaving directory `/home/xzw/BT_Download/qbittorrent-0.9.2/src' 
xzw@VIA-PC1500:~/BT_Download/qbittorrent-0.9.2$ 

xzw@VIA-PC1500:~/BT_Download/qbittorrent-0.9.2$ qbittorrent 
qbittorrent: error while loading shared libraries: libtorrent.so.0: cannot open shared object file: No such file or directory 
xzw@VIA-PC1500:~/BT_Download/qbittorrent-0.9.2$ 

看提示好像应该是找不到libtorrent库的问题,但是我之前也同样 make install 了 libtorrent 0.11版本了。
现在我怀疑是0.12版的问题,但是我在qbittorrent的网站上看到有0.12版本的libtorrent下载,可惜那个链接是失效的链接。然后我到libtorrent网站,也没有看到有0.12版本的下载。然后我上google搜索,也没有找到。请问谁有啊?
我用ubuntu 6.06,gnome桌面~
结果装个qBittorrent搞不定,
然后就换到ubuntu 7.04了..同样是gnome桌面~
定制才是王道!
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#2

帖子 依寻依然 » 2007-04-28 21:40

题外话:
ubuntu里用基于qt的软件多多少少不是特别稳定,比如eva之类的
建议还是去azureus的官网下个新版本的azureus,很好用,没有崩溃的现象,速度很好,源里的不行
http://azureus.sourceforge.net/
永恒不永恒
帖子: 124
注册时间: 2007-03-17 18:57
来自: 广东广州
送出感谢: 0
接收感谢: 0

#3

帖子 永恒不永恒 » 2007-04-28 21:42

azureus是基于java的,不适合我的需要。除非以后我使用基于java的东东多起来,我就会考虑采用。
另外貌似听说azureus用久了耗资源,不知道新版本改进了没....
我用ubuntu 6.06,gnome桌面~
结果装个qBittorrent搞不定,
然后就换到ubuntu 7.04了..同样是gnome桌面~
定制才是王道!
头像
jarlyyn
论坛版主
帖子: 4671
注册时间: 2006-04-12 18:54
送出感谢: 0
接收感谢: 6 次
联系:

#4

帖子 jarlyyn » 2007-04-28 21:42

依旧推荐wine+utorrent
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#5

帖子 依寻依然 » 2007-04-28 21:44

永恒不永恒 写了:azureus是基于java的,不适合我的需要。除非以后我使用基于java的东东多起来,我就会考虑采用。
另外貌似听说azureus用久了耗资源,不知道新版本改进了没....
新版本的改进不小的,资源占用率上有所降低 ,不过相比于qt的软件而言,在我机子上java程序的崩溃率要比qt的低一些:lol:
ps:其实本人也不是特别喜欢用java的程序,虽然我主要学了java。
永恒不永恒
帖子: 124
注册时间: 2007-03-17 18:57
来自: 广东广州
送出感谢: 0
接收感谢: 0

#6

帖子 永恒不永恒 » 2007-04-28 21:45

wine环境?暂时尚未考虑这个....毕竟我刚开始接触linux
要是采用这样的环境我不如直接使用win平台。
我用ubuntu 6.06,gnome桌面~
结果装个qBittorrent搞不定,
然后就换到ubuntu 7.04了..同样是gnome桌面~
定制才是王道!
永恒不永恒
帖子: 124
注册时间: 2007-03-17 18:57
来自: 广东广州
送出感谢: 0
接收感谢: 0

#7

帖子 永恒不永恒 » 2007-04-28 21:57

庆祝伟大的u81代理,打到万恶的中国点心,昨天报告说失效的链接今天可以下载了。
实在不明白,那么多优秀的国外站点居然为什么会被屏蔽....
等会编译libtorrent 0.12版本看看。
我用ubuntu 6.06,gnome桌面~
结果装个qBittorrent搞不定,
然后就换到ubuntu 7.04了..同样是gnome桌面~
定制才是王道!
头像
依寻依然
帖子: 1617
注册时间: 2006-10-31 14:49
送出感谢: 0
接收感谢: 0

#8

帖子 依寻依然 » 2007-04-28 23:21

永恒不永恒 写了:庆祝伟大的u81代理,打到万恶的中国点心,昨天报告说失效的链接今天可以下载了。
实在不明白,那么多优秀的国外站点居然为什么会被屏蔽....
等会编译libtorrent 0.12版本看看。
:em09 最近不是在打击XX网站么,莫非都中招拉
回复

回到 “老旧版本支持”